%ifos darwin
%define __soext		dylib
%define __defattr	%defattr(-,root,wheel)
%else
%define __soext		so
%define __defattr	%defattr(-,root,root)
%endif

Summary: A library for manipulating JPEG image format files.
Name: libjpeg
Version: 6b
Release: 15d
Copyright: distributable
Group: System Environment/Libraries
Source0: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz
Patch0: libjpeg-6b-arm.patch
Patch1: jpeg-c++.patch
Buildroot: %{_tmppath}/%{name}-root

%package devel
Summary: Development tools for programs which will use the libjpeg library.
Group: Development/Libraries
Requires: libjpeg

%description
The libjpeg package contains a library of functions for manipulating
JPEG images, as well as simple client programs for accessing the
libjpeg functions.  Libjpeg client programs include cjpeg, djpeg,
jpegtran, rdjpgcom and wrjpgcom.  Cjpeg compresses an image file into
JPEG format.  Djpeg decompresses a JPEG file into a regular image
file.  Jpegtran can perform various useful transformations on JPEG
files.  Rdjpgcom displays any text comments included in a JPEG file.
Wrjpgcom inserts text comments into a JPEG file.

%description devel
The libjpeg-devel package includes the header files and static libraries
necessary for developing programs which will manipulate JPEG files using
the libjpeg library.

If you are going to develop programs which will manipulate JPEG images,
you should install libjpeg-devel.  You'll also need to have the libjpeg
package installed.

%prep
%setup -q -n jpeg-6b
%patch0 -p1 -b .arm
%patch1 -p1 -b .c++

%build
# libtoolize --hack
cp /usr/share/libtool/{config.guess,config.sub,ltmain.sh} .
%configure \
	--enable-shared --enable-static
%ifos darwin
cp /usr/bin/glibtool libtool
%endif
make
%ifnarch armv4l
#FIX MEEE: we know this will fail on arm
LD_LIBRARY_PATH=$PWD make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{lib,include,bin}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall
# Work around the broken makefiles...
mv $RPM_BUILD_ROOT%{_mandir}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%ifnos darwin
strip -R .comment $RPM_BUILD_ROOT%{_prefix}/bin/* || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%doc usage.doc
%ifos darwin
%{_prefix}/lib/libjpeg.*.%{__soext}
%else
%{_prefix}/lib/libjpeg.%{__soext}.*
%endif
%{_prefix}/bin/*
%{_mandir}/*/*

%files devel
%{__defattr}
%doc libjpeg.doc coderules.doc
%{_prefix}/lib/libjpeg.a
%{_prefix}/lib/libjpeg.la
%{_prefix}/lib/libjpeg.%{__soext}
%{_prefix}/include/*.h

%changelog
* Sat Oct 12 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 6b: release 15d built on MacOS X Release 10.2
- now with a full path install_name
- removed macosx patch and use system standard glibtool

* Thu Oct 10 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.1

* Tue Apr 24 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.0.01

* Mon Dec 11 2000 Than Ngo <than@redhat.com>
- rebuilt with the fixed fileutils
- use %%{_tmppath}

* Wed Nov  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix a typo (strip -R .comment, not .comments)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify
- add some C++ tweaks to the headers as suggested by bug #9822)

* Wed May  5 2000 Bill Nottingham <notting@redhat.com>
- configure tweaks for ia64; remove alpha patch (it's pointless)

* Sat Feb  5 2000 Bernhard Rosenkrzer <bero@redhat.com>
- rebuild to get compressed man pages
- fix description
- some minor tweaks to the spec file
- add docs
- fix build on alpha (alphaev6 stuff)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- patch to build on arm
- build for glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- fix buildroot problem.

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- up to release 4
- remove patch that set (improper) soname - libjpeg now does it itself

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- fixed build on manhattan

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 6b

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package
